Name:          gif89encoder
Version:       0.90
Release:       %mkrel 0.0.b.4
Summary:       Java class library for encoding GIF's
Group:         Development/Java
License:       BSD
Url:           http://jmge.net/java/gifenc/
Source0:       http://jmge.net/java/gifenc/Gif89Encoder090b.zip
Source1:       gif89encoder-0.90b.pom

BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: java
Requires:      jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
This Java class library for encoding GIFs is likely to be of
utility to many other programmers. It covers more of the extended
GIF89a feature set, including animation and embedded textual
comments, than any other free Java GIF encoder.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Gif89Encoder - Java class library for encoding GIF's.

This package contains javadoc for %{name}

%prep
%setup -q -c

for j in $(find . -name "*.jar"); do
	rm -rf $j
done

%build
mkdir -p classes
mkdir -p javadocs

%javac \
	-d classes \
	`find src -name "*.java"`

%jar \
	cf gif89encoder.jar \
	-C classes .

%javadoc \
	-d javadocs \
	-encoding iso-8859-1 \
	`find src -name "*.java"`
	
%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 gif89encoder.jar \
	%{buildroot}%{_javadir}/gif89encoder.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-gif89encoder.pom

%add_maven_depmap JPP-gif89encoder.pom gif89encoder.jar

mkdir -p %{buildroot}%{_javadocdir}/gif89encoder
cp -pr javadocs/* %{buildroot}%{_javadocdir}/gif89encoder

%files
%{_javadir}/gif89encoder.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc readme.txt

%files javadoc
%{_javadocdir}/gif89encoder



%changelog
* Thu Dec 19 2013 dmorgan <dmorgan> 0.90-0.0.b.4.mga4
+ Revision: 558854
- Use new maven rpm macros

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.90-0.0.b.2.mga3
+ Revision: 351545
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 dmorgan <dmorgan> 0.90-0.0.b.1.mga2
+ Revision: 147836
- Adapt to mageia guidelines

  + gil <gil>
    - imported package gif89encoder


* Fri Jul 15 2011 gil <gil> 0.90-0.%%mkrel
- initial rpm

